* {
	outline-color:#208cec;
}
body {
	text-align:left;
	color:#6D6969;
	background:#f9f9f9;
	font-weight:600;
	margin:0;
	padding:0;
	overflow-x:hidden;
	padding-top:75px;
	padding-bottom:75px;
}
h1,h2,h3 {
	color:#282828;
}
h1.name {
	font-size:24px;
	margin:0;
}
h2.slogan {
	font-size:40px;
	max-width:750px;
	font-weight:800;
	margin:0;
}
.page-right h2.slogan {
	padding:14px;
	padding-top:28px;
	font-size:24px;
	font-weight:800;
	margin:0;
	line-height:1.2;
	margin-bottom:0;
	padding-bottom:0;
}
.group p.intro {
	font-size:20px;
}
.page-right p.intro {
	padding:14px;
	padding-top:0;
}
.group p {

}
@media (min-width:600px) {
	.group .right,
	.group .left {
		width:50%;
		display:inline-block;
		vertical-align:top;
	}
}
.menu_left {
	background:#f9f9f9;
	width:calc(50% - 4px);
	display:inline-block;
	border-radius:6px;
	margin:0;
	vertical-align:top;
	border-top-right-radius:0;
	border-bottom-right-radius:0;
	border-right:1px solid #ddd;
	border-right:0;
	overflow:hidden;
}
.menu_left input.name {
	width:calc(100% - 75px - 14px - 14px - 14px);
	display:inline-block;
	vertical-align:middle;
	margin:0;
	margin-left:7px;
}
.codeMirror,
.CodeMirror pre,
.CodeMirror-line,
.CodeMirror-code {
	font-family:monospace !important;
	font-size:15px !important;
	font-weight:400 !important;
}
textarea.menu {
	font-family:monospace;
	background:#fbfbfb;
	appearance:none;
	width:calc(100% - 14px - 14px);
	height:100%;
	padding:14px;
	min-height:618px;
	font-size:15px;
	border:none;
}
.menu_right {
	background:#f9f9f9;
	width:calc(50% - 2px);
	min-height:400px;
	border-radius:6px;
	display:inline-block;
	margin:0;
	text-align:left;
	vertical-align:top;
	border-top-left-radius:0;
	border-bottom-left-radius:0;
	overflow:hidden;
	border-left:1px solid #ddd;
	color:#282828;
}
.markdown.menu hr {
	border:none;
	border-bottom:1px solid #ddd;
	margin-top:28px;
	clear:both;
}
.markdown.menu .markdown_output {
	background-size:contain;
	padding:14px;
}
.markdown.menu .markdown_output p {
	font-size:16px;
	font-weight:400;
}
.markdown.menu ul img,
.markdown.menu li img,
.markdown.menu p img {
	width:calc(100% - 54px);
	border-radius:6px;
	margin-left:40px;
	margin-bottom:-14px;
}
.markdown.menu .product {
	font-weight:800;
	max-width:75%;
	display:inline-block;
}

.markdown.menu .price {
	font-weight:400;
	float:right;
	padding-right:14px;
}
.markdown.menu h1,
.markdown.menu h2,
.markdown.menu h3,
.markdown.menu h4 {
	margin:0;
}
.markdown.menu h2 {
	padding-left:42px;
}
.markdown.menu h3 {
	padding-left:42px;
}
.markdown.menu h4 {
	padding-left:42px;
}
.markdown.menu.align_right h2 {
	padding-left:0;
	padding-right:42px;
}
.markdown.menu.align_right h3 {
	padding-left:0;
	padding-right:42px;
}
.markdown.menu.align_right h4 {
	padding-left:0;
	padding-right:42px;
}
.markdown.menu.align_center h2,
.markdown.menu.align_center h3,
.markdown.menu.align_center h4 {
	padding-left:0;
}
.markdown.menu h2,
.markdown.menu h3,
.markdown.menu h4 {
	font-weight:400;
}
.markdown.menu .head img.logo {
	max-width:100%;
	height:75px;
	margin:0 auto;
	margin-right:7px;
	display:inline-block;
	vertical-align:middle;
	mix-blend-mode:darken;
	border-radius:6px;
}
.markdown.menu .head h1 {
	display:inline-block;
	vertical-align:middle;
	font-weight:800;
}
.menu_right .head {
	margin-top:-1px;
	z-index:1;
	position:relative;
}
.markdown.menu .markdown_output {
	z-index:1;
	position:relative;
}
.menu_left .head,
.menu_right .head {
	text-align:center;
	padding:14px;
	background:#fff;
	border-bottom:1px solid #ddd;
	min-height:92px;
}
.menu_right.dark .head {
	background:rgba(255,255,255,0.15);
	border-bottom:1px solid rgba(255,255,255,0.15);
}
.menu_right .head {
    padding-top: 47px !important;
    padding-bottom: 47px !important;
}
.qr_code {
	cursor:pointer;
	display:inline-block;
	position:relative;
	margin-bottom:14px;
	min-height:200px;
}
.qr_code canvas {
	display:none;
}
.qr_code img:not(.qr_code_logo) {
	max-width:250px;
	max-height:250px;
}
.qr_code_logo {
	position:absolute;
	left:50%;
	top:50%;
	transform:translateX(-50%) translateY(-50%);
	height:75px;
	max-width:150px;
	width:auto;
	box-shadow:0 1px 2px 0 rgba(0,0,0,.1);
	object-fit:contain;
	border-radius:6px;
	/*border-radius:100%;*/
}
.qr_code:hover {
	opacity:0.75;
}
.qr_code:active {
	opacity:0.5;
}
.group .heading {
	text-transform:uppercase;
	font-size:14px;
	font-weight:800;
	margin-bottom:14px;
	color:#282828;
}
.group {
	background:#fff;
	border-radius:6px;
	z-index:1;
	position:relative;
	width:calc(100% - 14px - 14px - 14px - 14px - 14px - 14px);
	/*max-width:1000px;*/
	text-align:left;
	margin:14px auto;
	margin-bottom:14px;
	display:table;
	/*margin-top:-25vh;*/
	padding:28px;
	box-shadow:0 1px 2px 0 rgba(0,0,0,.1);
	border:1px solid #ddd;
}
.group.menu {
	/* put menu in the box but make it as big as the group box itself to save space */
	padding:0;
    background: none;
    width: calc(100% - 28px);
}
a:not(.button):hover {
	opacity:0.75;
}
a:not(.button):active {
	opacity:0.5;
}
a:not(.button) {
	color:#208cec;
}
a.button {
	text-decoration:none;
}
.button {
	cursor:pointer;
	border:2px solid #208cec;
	border-radius:6px;
	background:#208cec;
	color:#fff;
	font-weight:800;
	padding:9px;
	display:table;
}
.button:hover {
	opacity:0.75;
}
.button:active {
	opacity:0.5;
}
.top-bar {
	width:calc(100% - 14px - 14px - 14px - 14px);
	padding:14px;
	padding-left:28px;
	padding-right:28px;
	left:0;
	top:0;
	border-bottom:1px solid #ddd;
	background:#fff;	
	position:absolute;
}
.top-bar h1 {
	color:#282828;
	margin:0;
	font-size:28px;
	display:inline-block;
	vertical-align:middle;
	font-weight:800;
}
.top-bar .logo {
	margin-left:7px;
	width:50px;
	height:50px;
	display:inline-block;
	vertical-align:middle;
	position:relative;
	margin:0;
	margin-top:-2px;
}
.top-bar .logo .emoji {
	display:block;
	width:50px;
	margin:0;
	height:50px;
}
.top-bar .logo .qr {
	display:block;
	width:20px;
	width:20px;
	position:absolute;
	left:16px;
	top:17px;
	z-index:1;
}
.top-bar .button {
	float:right;
}
.bg {
	/*background-image:url('https://images.unsplash.com/photo-1485182708500-e8f1f318ba72?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1400&q=80');*/
	/*background-image:url('https://images.unsplash.com/photo-1514573308375-84a13ac77f42?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1400&q=80');*/
	background-image:url('https://images.unsplash.com/photo-1529270296466-b09d5f5c2bab?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1400&q=80');
	/*background-image:url('https://images.unsplash.com/photo-1514053026555-49ce8886ae41?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjExMDk0fQ&auto=format&fit=crop&w=1800&q=60');*/
	background-size:cover;
	background-position:center center;
	width:100vw;
	height:40vh;
	z-index:-1;
	position:relative;
}
.bg .wave {
	width:100%;
	bottom: 0;
	fill:#f9f9f9;
	position:absolute;
	bottom:0;
	left:0;
}
.page-left {
	width:calc(100% - 350px - 14px - 14px);
	display:inline-block;
	float:left;
	padding:14px;
}
.page-right {
	width:calc(350px - 2px);
	min-height:400vh;
	display:inline-block;
	text-align:center;
	background:#fff;
	border-left:1px solid #ddd;
}
.page-right .divider {
	width:100%;
	border-bottom:1px solid #ddd;
	margin-top:14px;
}
.page-right p {
	color: #888;
	opacity: 1;
	font-size: 18px;
	line-height: 2;
	padding-left: 28px;
	padding-right: 28px;
	font-weight:500;
}
.logos {
	padding:7px;
}
.logos img {
	width: 90px;
	max-height: 75px;
	object-fit: contain;
	margin: 7px;
	margin-top: 14px;
	margin-bottom: 14px;
	opacity: 1;
	vertical-align: middle;
	mix-blend-mode:darken;
	/*filter:contrast(200%);*/
}
.button-container {
	border-top: 1px solid #ddd;
	border-left: 1px solid #ddd;
	background: #fff;
	position: fixed;
	bottom: 0;
	right: 0;
	width: calc(350px - 28px - 28px - 1px);
	padding: 28px;
	z-index: 10;
	text-align: center;
	padding-bottom: 21px;
}
.button-container .button {
	cursor: pointer;
	background: #208cec;
	color: #fff;
	font-weight: 800;
	font-size: 24px;
	padding: 14px;
	padding: 19px;
	border-radius: 6px;
	text-align: center;
	display: block;
	border: 2px solid #208cec;
}
.upload-logo-box {
	cursor:pointer;
	border:1px solid #ddd;
	width:75px;
	height:75px;
	border-radius:6px;
	background:#fbfbfb;
	background-size:100%;
	background-position:center;
	background-repeat:no-repeat;
	position:relative;
	display:inline-block;
	vertical-align:middle;
	margin-bottom:7px;
}
.upload-logo-box:focus,
.upload-logo-box.focus {
	border:2px solid #ff4742;
	border-radius:6px;
}
.upload-logo-box:hover {
	opacity:0.75;
}
.upload-logo-box:active {
	opacity:0.5;
}
.upload-logo-box p {
	position:absolute;
	text-align:center;
	display:block;
	background:#fbfbfb;
	border-radius:6px;
	opacity:0.9;
	padding:5px;
	margin:0;
	font-size:14px;
	width:80%;
	color:#777;
	top:50%;
	transform:translateY(-50%);
	width:calc(100% - 5px - 5px);
}
.upload-logo-box input {
	cursor:pointer;
	appearance:none;
	width:100%;
	height:100%;
	font-size:24px;
	opacity:0;
	position:absolute;
	top:50%;
	left:50%;
	transform:translateY(-50%) translateX(-50%);
}
.markdown_output ul li {
	list-style:none;
	line-height:2;
}
.markdown_output ul li p {
	margin:0;
}
.markdown_output ul {
	margin:0;
	margin-top:7px;
	padding-left:42px;
	font-weight:700;
}
.markdown_output ul li {
	margin-bottom:14px;
}
.markdown_output ul li li {
	/*margin:0;
	margin-top:-7px;
	margin-left:-14px;*/
	margin:0;
	/*padding-left:7px;*/
	font-size:14px;
	font-weight:400;
}
.markdown_output h1 {
	margin-top:14px !important;
}
textarea:not(.menu),
select,
input[type="file"],
input[type="color"],
input[type="text"],
input[type="email"] {
	box-shadow:none;
	appearance:none;
	padding:7px;
	border:1px solid #ddd;
	border-radius:6px;
	margin:14px;
	margin-left:0;
	margin-top:0;
	font-size:16px;
	margin-bottom:14px;
	background:#fbfbfb;
}
input[type="file"] {
	width:100px;
}
select.font {
	width:auto;
}

.menu_right.align_right {
	text-align:right;
}
.menu_right.align_center ul,
.menu_right.align_right ul {
	padding-left:0;
}
.menu_right.align_right ul {
	padding-right:42px;
}
.menu_right.align_center {
	text-align:center;
}
.menu_right.align_center .price {
	margin-left:7px;
	float:none;
}

.menu_right.align_right .price {
	float:left;
}
.menu_right .background_image {
	position:absolute;
	top:169px; /* on show menu page */
	left:0;
	width:100%;
	height:100%;
	z-index:0;
	background-size:cover;
	background-position:center;
	background-attachment:fixed;
}
.group .menu_right .background_image {
	top:186px; /* in editor preview cuz markdown toolbar */
}
.menu_right.dark .head {
	background:#161616;
	color:#fff;
	border-bottom:1px solid #494949;
}
body.dark {
	background:#0b0b0b;
}
.menu_right.dark {
	background:#202020;
	color:#d9d9d9;
}
.menu_right.dark hr {
	border-bottom:1px solid #494949;
}
.menu_right.dark h1,
.menu_right.dark h2,
.menu_right.dark h3 {
	color:#fff;
}

.menu_right.dark .head img.logo {
	mix-blend-mode:lighten;
}

.CodeMirror .cm-spell-error {
	background:none !important;
}
.CodeMirror,
.editor-toolbar {
	border:none !important;
	border-radius:none !important;
}

.editor-toolbar i.separator,
.editor-toolbar a.fa-list-ol,
.editor-toolbar a.fa-columns,
.editor-toolbar a.fa-arrows-alt,
.editor-toolbar a.fa-eye {
	display:none !important;
}

.editor-toolbar {
	border-bottom:1px solid #ddd !important;
}


@media (max-width:1100px) {
	body {
		padding-bottom:0;
	}
	.button-container {
		position:relative;
		bottom:auto;
		right:auto;
		z-index:0;
		padding-bottom:56px;
	}
	.button-container,
	.page-left,
	.page-right {
		width:auto;
		min-height:0;
	}
	.page-right {
		border-top:1px solid #ddd;
	}
}



@media (max-width:600px) {
	.top-bar .button {
		display:none;
	}
	.top-bar {
		text-align:center;
	}
	h2.slogan {
		font-size:20px;
	}
	.group p.intro,
	.group p {
		font-size:16px;
	}
	.page-left {
		padding:0;
	}
	.menu_left,
	.markdown.menu.menu_right {
		width:auto;
	}
	.markdown.menu.menu_right {
		border-top:1px solid #ddd;
		margin-top:56px;
	}
	.CodeMirror {
		width:calc(100vw - 76px) !important;
	}
	.action-send-edit-link {
		margin-left:0;
	}
}


@media (max-width:400px) {
	.top-bar h1 {
		font-size:20px;
	}
}



.loading_spinner {
	pointer-events:none;
	display:none;
	z-index:1001;
	position:fixed;
	top:50%;
	left:50%;
	transform:translateX(-50%) translateY(-50%);
	height:4em;
	width:auto;
	max-width:75vw;
	text-align:center;
}

.loading_spinner.show {
	display:block;
}

.loading_spinner {
	display:none;
}

.loading_spinner .loader_spinner_svg {
	width:3em;
	height:3em;
}

.loader_spinner_circle {
    stroke-width: 6;
    stroke-miterlimit: 10;
    stroke:#fff;
    stroke:rgba(0,0,0,0);
}

.loader_spinner_circle--spinner {
    stroke-dasharray: 1,220;
    stroke-dashoffset: 0;
    -webkit-animation: loading_spinner_dash 1.5s ease-in-out infinite,color 3s ease-in-out infinite;
    animation: loading_spinner_dash 1.5s ease-in-out infinite,color 3s ease-in-out infinite;
    stroke-linecap: square;
    stroke:#208cec;
}

.loader_spinner_circle {
    stroke-width: 6;
    stroke-miterlimit: 10;
}

.loader_spinner_svg {
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-name: loading_spinner_rotate;
    animation-name: loading_spinner_rotate;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
}

@keyframes loading_spinner_rotate {
	100% {
	    -webkit-transform: rotate(1turn);
	    transform: rotate(1turn);
	    color: transparent;
	}
}

@keyframes loading_spinner_dash {
	0% {
	    stroke-dasharray: 1,220;
	    stroke-dashoffset: 0;
	}
	50% {
	    stroke-dasharray: 97.9,220;
	    stroke-dashoffset: -38.5;
	}
	100% {
	    stroke-dasharray: 97.9,220;
	    stroke-dashoffset: -136.4;
	}
}

@keyframes loading_spinner_color {
	0% {
	    stroke: #208cec;
	}
	50% {
	    stroke: #208cec;
	}
	100% {
	    stroke: #208cec;
	}
}

.loading_spinner {
	width:100%;
	max-width:75vw;
	pointer-events:none;
	display:none;
	z-index:99999;
	position:fixed;
	top:50%;
	left:50%;
	transform:translateX(-50%) translateY(-50%);
}

.menu_right,
.markdown.menu {
	position:relative !important;
}

footer {
	text-align: center;
	width: 100%;
	margin: 0 auto;
	color: #fff;
	font-size: .8rem;
	padding: 14px;
	a,
	a:not(.button) {
		color: #fff;
	}
}